Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-53791

"About Qt" still mentions LGPL version 2.1

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.7.0 RC
    • Fix Version/s: 5.7.0
    • Component/s: Core: Other
    • Labels:
      None
    • Environment:
      Windows 7 64 bit
    • Commits:
      6a75daa99feb0a0c599ef51d26718ea60fd4d0da (qtbase/5.7.0, 3.6.2016, 5.7.0)

      Description

      1. Start Designer or Linguist.
      2. Go to "Help" -> "About Qt".
        The license text in the opening dialog still refers to LGPL v2.1. It seems to come from QApplication::aboutQt().

      I am not a lawyer but AFAIK LPGL v2.1 should not be mentioned there anymore.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            kleint Friedemann Kleint
            Reporter:
            rlohning Robert Löhning
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes